#pragma once

#include "Simulation.h"
#include "SimulationController.h"

namespace CppModelBase
{
    class PersistentSimulation : public Simulation
    {
    private:
        std::unique_ptr<SimulationController> controller;

        nlohmann::json NewExecution(nlohmann::json &inputs, nlohmann::json &parameters);

    public:
        PersistentSimulation();
        void Simulate();
    };

};
